# enid query params

```ansi
Querying commands for the params module

Usage:
  enid query params [flags]
  enid query params [command]

Available Commands:
  blockparams     Query for block params
  cosmosgasparams Query for cosmos gas params
  feesparams      Query for fee params
  subspace        Query for raw parameters by subspace and key

Flags:
  -h, --help   help for params

Global Flags:
      --chain-id string     The network chain ID
      --home string         directory for config and data (default "~/.eni")
      --log_format string   The logging format (json|plain)
      --log_level string    The logging level (trace|debug|info|warn|error|fatal|panic)
      --trace               print out full stack trace on errors

Use "enid query params [command] --help" for more information about a command.

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eniac.network/reference/cli/enid-query/enid-query-params.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
